## GooCanvasRect GooCanvasRect — a rectangle item. |

## Functions

GooCanvasItem * | goo_canvas_rect_new ()

## Properties

gdouble | height | Read / Write
gdouble | radius-x | Read / Write
gdouble | radius-y | Read / Write
gdouble | width | Read / Write
gdouble | x | Read / Write
gdouble | y | Read / Write

## Types and Values

struct | GooCanvasRect

## Object Hierarchy

        GObject
        ╰── GooCanvasItemSimple
            ╰── GooCanvasRect

## Implemented Interfaces

GooCanvasRect implements GooCanvasItem.

## Description

GooCanvasRect represents a rectangle item.

It is a subclass of GooCanvasItemSimple and so inherits all of the style properties such as "stroke-color", "fill-color" and "line-width".

It also implements the GooCanvasItem interface, so you can use the GooCanvasItem functions such as `goo_canvas_item_raise()` and `goo_canvas_item_rotate()`.

To create a GooCanvasRect use `goo_canvas_rect_new()`.

To get or set the properties of an existing GooCanvasRect, use `g_object_get()` and `g_object_set()`.

## Functions

### goo_canvas_rect_new ()

    GooCanvasItem *
    goo_canvas_rect_new (GooCanvasItem *parent,
                         gdouble x,
                         gdouble y,
                         gdouble width,
                         gdouble height,
                         ...);

Creates a new rectangle item.

Here's an example showing how to create a rectangle at (100,100) with a width of 200 and a height of 100.

    1
    2
    3
    4
    5
    GooCanvasItem *rect = goo_canvas_rect_new (mygroup, 100.0, 100.0, 200.0, 100.0,
                                               "stroke-color", "red",
                                               "line-width", 5.0,
                                               "fill-color", "blue",
                                               NULL);

#### Parameters

parent | the parent item, or `NULL`. If a parent is specified, it will assume ownership of the item, and the item will automatically be freed when it is removed from the parent. Otherwise call `g_object_unref()` to free it. | [skip]
x | the x coordinate of the left of the rectangle. |
y | the y coordinate of the top of the rectangle. |
width | the width of the rectangle. |
height | the height of the rectangle. |
... | optional pairs of property names and values, and a terminating `NULL`. |

#### Returns

a new rectangle item.

[transfer full]

## Types and Values

### struct GooCanvasRect

    struct GooCanvasRect;

The GooCanvasRect struct contains private data only.

## Property Details

### The `“height”` property

      “height”                   gdouble

The height of the rectangle.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“radius-x”` property

      “radius-x”                 gdouble

The horizontal radius to use for rounded corners.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“radius-y”` property

      “radius-y”                 gdouble

The vertical radius to use for rounded corners.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“width”` property

      “width”                    gdouble

The width of the rectangle.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“x”` property

      “x”                        gdouble

The x coordinate of the rectangle.

Flags: Read / Write

Default value: 0

### The `“y”` property

      “y”                        gdouble

The y coordinate of the rectangle.

Flags: Read / Write

Default value: 0